{% extends "src/elements/_template.njk" %}
{% set title = "Дашборд" %}
{% block content %}
    <h1>{{ title }}</h1>

    <div class="main-bar">
        <div class="main-bar__group">
            <div>
                <label class="custom-field custom-field--date">
                    <input type="text" name="date" placeholder="Дата" autocomplete="off" data-date>
                    <i class="custom-field__icon">
                        {{ svgIcon('calendar', viewBox='0 0 15 14') }}
                    </i>
                </label>
            </div>
            <div class="d-none d-md-flex">
                <div data-dropdown>
                    <button class="btn btn-outline-primary btn-rounded btn-filter" type="button" data-dropdown-toggle>
                        <i>
                            {{ svgIcon('filter', viewBox='0 0 16 16') }}
                        </i>
                        <span>Фильтры</span>
                    </button>
                    <div class="dropdown-filter" data-dropdown-content>
                        <div class="dropdown-filter__header">
                            <div class="dropdown-filter__title">Фильтры</div>
                            <button type="button" class="dropdown-filter__clear" data-dropdown-toggle>Очистить все</button>
                        </div>
                        <div class="dropdown-filter__content">
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Логин</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Email</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Клиент</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Локация</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Просмотры</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Клики</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Стоимость</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="main-bar__group d-none d-md-flex">
            <div class="main-header__content">
                <button type="button" class="btn btn-primary">
                    <i class="icon-plus">
                        {{ svgIcon('plus', viewBox='0 0 15 14') }}
                    </i>
                    <span>Выгрузить данные</span>
                </button>
            </div>
        </div><!-- .main-bar__group -->
    </div><!-- .main-bar -->

    <div class="row row-gap-20 flex-xl-row-reverse mb-20">
        <div class="col-12 col-xl-6 d-flex flex-column row-gap-20">
            <div class="row row-gap-10">
                <div class="col-12 col-md-4">
                    <div class="dashboard-informer">
                        <div class="dashboard-informer__label">
                            Количество новых <br>пользователей сегодня:
                        </div>
                        <div class="dashboard-informer__value">32</div>
                    </div>
                </div>
                <div class="col-12 col-md-4">
                    <div class="dashboard-informer">
                        <div class="dashboard-informer__label">
                            Количество новых <br>пользователей сегодня:
                        </div>
                        <div class="dashboard-informer__value">32</div>
                    </div>
                </div>
                <div class="col-12 col-md-4">
                    <div class="dashboard-informer">
                        <div class="dashboard-informer__label">
                            Количество новых <br>пользователей сегодня:
                        </div>
                        <div class="dashboard-informer__value">32</div>
                    </div>
                </div>
            </div>
            <div class="chart-box flex-grow-1">
                <div class="chart-box__header">
                    <div class="chart-box__title">Популярные тарифы</div>
                    <div class="chart-box__switcher">
                        <div class="select select--right" data-select data-dropdown>
                            <input type="hidden" name="select" value="" data-select-value>
                            <button class="select__button select__button--sm" data-dropdown-toggle>
                                <span class="select__active" data-select-active>Параметр</span>
                            </button>
                            <div class="select__dropdown" data-dropdown-content>
                                <div class="select__item" data-select-item="Расход">Расход</div>
                                <div class="select__item" data-select-item="Клики">Клики</div>
                                <div class="select__item" data-select-item="Просмотры">Просмотры</div>
                            </div>
                        </div>
                    </div>
                </div><!-- .chart-box__header -->
                <div class="dashboard-doughnut">
                    <div class="chart-doughnut">
                        <div class="chart-doughnut__main">
                            <canvas data-chart-two></canvas>
                        </div>
                        <div class="chart-doughnut__labels">
                            <div>
                                <div class="chart-doughnut__value">42%</div>
                                <div class="chart-doughnut__delta color-green">+12,4%</div>
                            </div>
                        </div>
                    </div><!-- .chart-box__main -->
                    <div class="chart-box__legend dashboard-doughnut__legend">
                        <div class="chart-legend">
                            <div class="chart-legend__color" style="background-color: #8CC3FF"></div>
                            <div class="chart-legend__title">Тариф 1</div>
                            <div class="chart-legend__line"></div>
                            <div class="chart-legend__value">42%</div>
                        </div>
                        <div class="chart-legend">
                            <div class="chart-legend__color" style="background-color: #0176F6"></div>
                            <div class="chart-legend__title">Тариф 2</div>
                            <div class="chart-legend__line"></div>
                            <div class="chart-legend__value">22%</div>
                        </div>
                        <div class="chart-legend">
                            <div class="chart-legend__color" style="background-color: #7AE7FF"></div>
                            <div class="chart-legend__title">Тариф 3</div>
                            <div class="chart-legend__line"></div>
                            <div class="chart-legend__value">9%</div>
                        </div>
                        <div class="chart-legend">
                            <div class="chart-legend__color" style="background-color: #7A90FF"></div>
                            <div class="chart-legend__title">Тариф 4</div>
                            <div class="chart-legend__line"></div>
                            <div class="chart-legend__value">27%</div>
                        </div>
                    </div>
                </div><!-- .chart-box__main -->
            </div><!-- .chart-box -->
        </div>
        <div class="col-12 col-xl-6">
            <div class="chart-box h-100 d-flex flex-column justify-content-between">
                <div class="chart-box__header">
                    <div class="chart-box__title">Поступление средств</div>
                    <div class="chart-box__switcher">
                        <div class="select select--right" data-select data-dropdown>
                            <input type="hidden" name="select" value="" data-select-value>
                            <button class="select__button select__button--sm" data-dropdown-toggle>
                                <span class="select__active" data-select-active>Параметр</span>
                            </button>
                            <div class="select__dropdown" data-dropdown-content>
                                <div class="select__item" data-select-item="Расход">Расход</div>
                                <div class="select__item" data-select-item="Клики">Клики</div>
                                <div class="select__item" data-select-item="Просмотры">Просмотры</div>
                                <div class="select__item" data-select-item="Расход с налогом">Расход с налогом</div>
                                <div class="select__item" data-select-item="Расход в валюте">Расход в валюте</div>
                            </div>
                        </div>
                    </div>
                </div><!-- .chart-box__header -->
                <div class="chart-box__main">
                    <canvas data-chart-one></canvas>
                </div>
            </div><!-- .chart-box -->
        </div>
    </div>

    <div class="row row-gap-20">
        <div class="col-12 col-xl-6">
            <div class="chart-box h-100 d-flex flex-column justify-content-between">
                <div class="chart-box__header">
                    <div class="chart-box__title">Активность пользователей</div>
                    <div class="chart-box__switcher">
                        <div class="select select--right" data-select data-dropdown>
                            <input type="hidden" name="select" value="" data-select-value>
                            <button class="select__button select__button--sm" data-dropdown-toggle>
                                <span class="select__active" data-select-active>Параметр</span>
                            </button>
                            <div class="select__dropdown" data-dropdown-content>
                                <div class="select__item" data-select-item="Расход">Расход</div>
                                <div class="select__item" data-select-item="Клики">Клики</div>
                                <div class="select__item" data-select-item="Просмотры">Просмотры</div>
                                <div class="select__item" data-select-item="Расход с налогом">Расход с налогом</div>
                                <div class="select__item" data-select-item="Расход в валюте">Расход в валюте</div>
                            </div>
                        </div>
                    </div>
                </div><!-- .chart-box__header -->
                <div class="chart-box__main">
                    <canvas data-chart-three></canvas>
                </div>
            </div>
        </div>

        <div class="col-12 col-xl-6">
            <div class="chart-box h-100 d-flex flex-column justify-content-between">
                <div class="chart-box__header">
                    <div class="chart-box__title">Количество регистраций</div>
                    <div class="chart-box__switcher">
                        <div class="select select--right" data-select data-dropdown>
                            <input type="hidden" name="select" value="" data-select-value>
                            <button class="select__button select__button--sm" data-dropdown-toggle>
                                <span class="select__active" data-select-active>Параметр</span>
                            </button>
                            <div class="select__dropdown" data-dropdown-content>
                                <div class="select__item" data-select-item="Расход">Расход</div>
                                <div class="select__item" data-select-item="Клики">Клики</div>
                                <div class="select__item" data-select-item="Просмотры">Просмотры</div>
                                <div class="select__item" data-select-item="Расход с налогом">Расход с налогом</div>
                                <div class="select__item" data-select-item="Расход в валюте">Расход в валюте</div>
                            </div>
                        </div>
                    </div>
                </div><!-- .chart-box__header -->
                <div class="chart-box__main">
                    <canvas data-chart-four></canvas>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block modal %}

{% endblock %}

{% block pageCss %}

{% endblock %}

{% block pageScripts %}
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        // Chart One
        if (document.querySelector('[data-chart-one]')) {
            let width, height, gradient;
            function getGradient(ctx, chartArea) {
                const chartWidth = chartArea.right - chartArea.left;
                const chartHeight = chartArea.bottom - chartArea.top;
                if (!gradient || width !== chartWidth || height !== chartHeight) {
                    // Create the gradient because this is either the first render
                    // or the size of the chart has changed
                    width = chartWidth;
                    height = chartHeight;
                    gradient = ctx.createLinearGradient(0, chartArea.bottom, 0, chartArea.top);
                    gradient.addColorStop(1, 'rgba(1,118,246,0.1)');
                    gradient.addColorStop(0, 'rgba(255, 255, 255, 0)');
                }
                return gradient;
            }

            const ctx1 = document.querySelector('[data-chart-one]')
            new Chart(ctx1, {
                type: 'line',
                data: {
                    labels: ['Янв', 'Фев', 'Март', 'Апр', 'Май', 'Июнь', 'Июль', 'Авг', 'Сент', 'Дек'],
                    datasets: [{
                        label: 'Расходы',
                        data: [30, 59, 90, 81, 56, 55, 40,50,60,10,70,100],
                        borderWidth: 1,
                        tension: 0.5,
                        fill: true,
                        borderColor: '#0176F6',
                        backgroundColor: (context) => {
                            const chart = context.chart;
                            const {ctx, chartArea} = chart;
                            if (!chartArea) {
                                // This case happens on initial chart load
                                return;
                            }
                            return getGradient(ctx, chartArea);
                        },
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            display: false,
                        }
                    },
                    scales: {
                        x: {
                            beginAtZero: true,
                            grid: {
                                display: false
                            },
                        },
                        y: {
                            beginAtZero: true,
                        }
                    }
                }
            });
        }

        // Chart Two
        if (document.querySelector('[data-chart-two]')) {

            let cutoutValue = 0
            if (window.innerWidth < 767) {
                cutoutValue = 40
            }
            else {
                cutoutValue = 76
            }

            const data2 = {
                labels: ['Компания 1', 'Компания 2', 'Компания 3'],
                datasets: [{
                    data: [42, 22, 9, 27],
                    backgroundColor: [
                        '#8CC3FF',
                        '#0176F6',
                        '#7AE7FF',
                        '#7A90FF'
                    ],
                    borderRadius: 15
                },{
                    weight: 0.2
                }]
            }

            const ctx2 = document.querySelector('[data-chart-two]');
            let chartTwo = new Chart(ctx2, {
                type: 'doughnut',
                data: data2,
                options: {
                    cutout: cutoutValue,
                    responsive: true,
                    plugins: {
                        legend: {
                            display: false,
                        }
                    }
                }
            });
        }

        // Chart Three
        if (document.querySelector('[data-chart-three]')) {
            const ctx3 = document.querySelector('[data-chart-three]')
            new Chart(ctx3, {
                type: 'bar',
                data: {
                    labels: ['00:00','01:00','02:00','03:00','04:00','05:00','06:00','07:00','08:00','09:00','10:00', '11:00', '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00'],
                    datasets: [{
                        label: 'Время',
                        data: [48, 24, 48, 40, 24, 48, 40, 36, 24, 42, 60, 40, 30, 59, 90, 81, 56, 55, 40, 50,60,10,70,100, 90, 81],
                        borderWidth: 2,
                        fill: true,
                        borderColor: '#D7EAFF',
                        backgroundColor: '#D7EAFF',
                        hoverBorderColor: '#0176F6',
                        hoverBackgroundColor: '#0176F6',
                        borderRadius: 20
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            display: false,
                        }
                    },
                    scales: {
                        x: {
                            grid: {
                                display: false
                            },
                        },
                        y: {
                            beginAtZero: true,
                        }
                    }
                }
            });
        }

        // Chart Four
        if (document.querySelector('[data-chart-four]')) {
            const ctx4 = document.querySelector('[data-chart-four]')
            new Chart(ctx4, {
                type: 'bar',
                data: {
                    labels: ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Вс'],
                    datasets: [{
                        label: 'Регистрации',
                        data: [55, 49, 42, 64, 47, 56, 38],
                        borderWidth: 2,
                        fill: true,
                        borderColor: '#D7EAFF',
                        backgroundColor: '#D7EAFF',
                        hoverBorderColor: '#0176F6',
                        hoverBackgroundColor: '#0176F6',
                        borderRadius: 4
                    }]
                },
                options: {
                    indexAxis: 'y',
                    plugins: {
                        legend: {
                            display: false,
                        }
                    },
                    responsive: true,
                    scales: {
                        x: {
                            grid: {
                                display: false
                            },
                        },
                        y: {
                            beginAtZero: true,
                            grid: {
                                display: false
                            },
                        }
                    }
                }
            });
        }

    </script>
{% endblock %}
